ANSIBLE-DOC(1)

NAME
ansible-doc - plugin documentation tool

SYNOPSIS

ansible-doc [-l|-s] [options] [-t <plugin type] [plugin]

DESCRIPTION

displays information on modules installed in Ansible libraries. It displays a terse listing of plugins and their short descriptions, provides a printout of their DOCUMENTATION strings, and it can create a short "snippet" which can be pasted into a playbook.

COMMON OPTIONS

--version
    show program’s version number and exit

-M, --module-path
    prepend colon-separated path(s) to module library (default=[u'/home/jenkins/.ansible/plugins/modules', u'/usr/local/share/ansible/plugins/modules'])

-a, --all
    For internal testing only Show documentation for all plugins.

-h, --help
    show this help message and exit

-l, --list
    List available plugins

-s, --snippet
    Show playbook snippet for specified plugin(s)

-t TYPE, --type TYPE
    Choose which plugin type (defaults to "module")

-v, --verbose
    verbose mode (-vvv for more, -vvvv to enable connection debugging)

ENVIRONMENT

The following environment variables may be specified.

ANSIBLE_CONFIG — Override the default ansible config file

Many more are available for most options in ansible.cfg

FILES

/etc/ansible/ansible.cfg — Config file, used if present

~/.ansible.cfg — User config file, overrides the default config if present

AUTHOR

Ansible was originally written by Michael DeHaan. See the AUTHORS file for a complete list of contributors.

COPYRIGHT

Copyright © 2017 Red Hat, Inc | Ansible. Ansible is released under the terms of the GPLv3 License.

SEE ALSO

ansible(1), ansible-config(1), ansible-console(1), ansible-galaxy(1), ansible-inventory(1), ansible-playbook(1), ansible-pull(1), ansible-vault(1)

Extensive documentation is available in the documentation site: http://docs.ansible.com. IRC and mailing list info can be found in file CONTRIBUTING.md, available in: https://github.com/ansible/ansible